#include "HiReplyPkg.h"

HiReplyPkg::HiReplyPkg(int a) : TelepatiPkg(){
  type=HIREPLY;
  aibo=a;
}

HiReplyPkg::HiReplyPkg(byte* ptr) : TelepatiPkg(ptr){
}


HiReplyPkg::~HiReplyPkg(){
}

TelepatiPkg* HiReplyPkg::clone(){
  HiReplyPkg* clone=new HiReplyPkg(aibo);
  clone->serialNum=serialNum;
  return clone;
}

byte* HiReplyPkg::getMsg(){
  delete [] message;
  message=createStdHeader(0);
  return message;
}
